Bug 1546656 - [NMCI][abrt] [faf] NetworkManager: raise(): /usr/libexec/nm-iface-helper killed by 6
Summary: [NMCI][abrt] [faf] NetworkManager: raise(): /usr/libexec/nm-iface-helper kill...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-19 09:26 UTC by Vladimir Benes
Modified: 2018-10-30 11:13 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.12.0-0.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:11:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
[patch] iface-helper: fix non-reentrant call to platform for failed IPv6 DAD (10.77 KB, patch)
2018-02-19 16:31 UTC, Thomas Haller
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3207 0 None None None 2018-10-30 11:13:25 UTC

Description Vladimir Benes 2018-02-19 09:26:43 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/a89802d1bd5111508058e7a755ba9f7229727a94/

Comment 2 Vladimir Benes 2018-02-19 09:27:14 UTC
present in PR67

Comment 3 Thomas Haller 2018-02-19 16:31:24 UTC
Created attachment 1397952 [details]
[patch] iface-helper: fix non-reentrant call to platform for failed IPv6 DAD

The bug is not only on https://github.com/NetworkManager/NetworkManager/pull/67, but on master for a long time (since before 1.2).

Please review.

Comment 4 Francesco Giudici 2018-02-20 12:20:37 UTC
patch lgtm.

A couple of cosmetic things I would consider changing...

- not really loving the names:
"m_ndisc_dad_addr_is_fail_candidate" & "m_ndisc_dad_addr_is_fail_candidate_event"

- why "addr2" instead of "addr" in nm_ndisc_dad_addr_is_fail_candidate() ?

Comment 5 Beniamino Galvani 2018-02-21 09:02:06 UTC
Patch LGTM.

Comment 8 Vladimir Benes 2018-08-17 10:31:09 UTC
We haven't seen this in 1.12. Moving to verified.

Comment 10 errata-xmlrpc 2018-10-30 11:11:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3207


Note You need to log in before you can comment on or make changes to this bug.